package com.qzingtech.im.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;


/**
 * 工序大屏视频地址配置类
 *
 * @author xuwenjin
 * @Date 2020/2/20 10:39 上午
 */
@Component
@Data
@ConfigurationProperties(prefix = "rtgk.opvideo")
public class OpVideoConfig {

    private Map<String, String> map = new HashMap<>();

}
