package com.qzingtech.im.service;

import cn.hutool.json.JSONUtil;
import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.quality.inspection.api.InspectForeignFeignClient;
import com.qzing.ime.quality.inspection.model.request.extend.QualityDashBoardRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Created by chenyapeng on 2022/4/18 16:41
 */
@Component("QualityDashBoardType")
@Slf4j
public class QualityDashBoardTypeImpl implements DashboardTypeService {


    @Autowired
    private InspectForeignFeignClient inspectForeignFeignClient;


    public String getScreenData(Map<String, Object> data) {
        QualityDashBoardRequest request = new QualityDashBoardRequest();
        Map query = (Map<String, String>) data.get("query");
        String workCenterCode = (String) query.get("workCenterCode");
        String screenType = (String) query.get("screenType");
        String date = (String) query.get("date");
        // 前端设置的参数设置进来；
        request.setWorkCenterCode(workCenterCode);
        request.setDate(date);
        RestResponse<Map<String, Object>> forObject = inspectForeignFeignClient.qualityDashBoard(request);
        String jsonStr = JSONUtil.toJsonStr(forObject);
        return jsonStr;
    }

}
