package com.qzingtech.im.service;

import cn.hutool.json.JSONUtil;
import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.prodexec.dashboard.model.request.ProductAndScreen;
import com.qzing.ime.prodexec.planscreen.feign.PlanScreenClient;
import com.qzing.ime.prodexec.workorder.feign.WorkOrderExtendFeignClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @program: rtgk
 * @description:
 * @author: zhangchao
 * @create: 2022-04-19 14:40
 **/
@Component("DailyPlanType")
@Slf4j
public class DailyPlanTypeImpl implements DashboardTypeService {

    @Autowired
    private PlanScreenClient planScreenClient;

    public String getScreenData(Map<String, Object> data) {
        ProductAndScreen productAndScreen = new ProductAndScreen();
        Map query = (Map<String, String>) data.get("query");
        String screenType = (String) query.get("screenType");
        String date = (String) query.get("date");
        productAndScreen.setDate(date);
        RestResponse restResponse = planScreenClient.getDailyBoard(productAndScreen);
        String jsonStr = JSONUtil.toJsonStr(restResponse);
        return jsonStr;
    }
}
