package com.qzingtech.im.service;

import com.qzingtech.im.util.ApplicationContextAwareUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.Map;

/**
 * @author: yuzhao
 * @create: 2022-04-08
 **/
@Service
@Slf4j
public class DashboardService {
    @Autowired
    private RestTemplate restTemplate;

    /**
     * 时间稼动率  性能稼动率   良品率
     *
     * @return
     */
    public String getScreenTypeService(Map<String, Object> data) {
        Map query = (Map<String, String>) data.get("query");
        String screenType = (String) query.get("screenType");
        DashboardTypeService dashboardTypeService = (DashboardTypeService) ApplicationContextAwareUtils.getBean(screenType);
        String oeeData = dashboardTypeService.getScreenData(data);
        return oeeData;
    }


}
