package com.qzingtech.test;//package com.huiju.ime.task;

import com.alibaba.fastjson.JSONObject;
import com.qzingtech.im.IMApplication;
import com.qzingtech.im.ScreenApplication;
import com.qzingtech.im.service.DailyPlanTypeImpl;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.Map;

/**
 * 测试类
 *
 * @author xuwenjin
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {IMApplication.class})
public class AppTest {
//
//    @Autowired
//    private DcAllopQuery dcAllopQuery;
////    private DbReportProductionTask dbReportProductionTask;
//@Autowired
//private DcHvlQuery dcHvlQuery;

    @Autowired
    private DailyPlanTypeImpl DailyPlanType;


    @Test
    public void testDcAllopQuery() {
        Map<String, Object> paramsData = new HashMap<>();
        Map<String, String> data = new HashMap<>();
        data.put("date","2022-08-15");
        data.put("screenType","DailyPlanType");
        paramsData.put("query",data);
        String result = DailyPlanType.getScreenData(paramsData);
//        JSONObject jsonObject = new JSONObject();
//        Map<String,String> paramsData = (Map<String, String>)params;
//        jsonObject.put("data", dcAllopQuery.getAllOpData("1DC21H01","1DC21H01OP030", "1DC21H01OP030001,1DC21H01OP030002"));
        log.info("查询数据 {}", result);
//        return jsonObject;
    }

    @Test
    public void testDcHvlQuery() {
        JSONObject jsonObject = new JSONObject();
//        Map<String,String> paramsData = (Map<String, String>)params;
//        jsonObject.put("data", dcHvlQuery.getMcHopData());
        log.info("查询数据 {}", jsonObject);
//        return jsonObject;
    }

}